/**
 * @license
 * Copyright Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { ICustomElementFoundation } from '@tylertech/forge-core';
import { IStepAdapter } from './step-adapter';
export interface IStepFoundation extends ICustomElementFoundation {
    index: number;
    editable: boolean;
    completed: boolean;
    error: boolean;
    selected: boolean;
    alternative: boolean;
    vertical: boolean;
    setStepTabIndex(index: number): void;
}
export declare class StepFoundation implements IStepFoundation {
    private _adapter;
    private _index;
    private _completed;
    private _editable;
    private _error;
    private _selected;
    private _alternative;
    private _disabled;
    private _iconState;
    private _vertical;
    private _expanded;
    private _ignoreUserExpansion;
    private _initialized;
    private _expandedContentFocused;
    private _clickListener;
    private _expansionContentFocusInListener;
    private _expansionContentFocusOutListener;
    private _expansionContentSlotChangeListener;
    constructor(_adapter: IStepAdapter);
    initialize(): void;
    disconnect(): void;
    get index(): number;
    set index(value: number);
    get editable(): boolean;
    set editable(value: boolean);
    get completed(): boolean;
    set completed(value: boolean);
    get error(): boolean;
    set error(value: boolean);
    get selected(): boolean;
    set selected(value: boolean);
    get alternative(): boolean;
    set alternative(value: boolean);
    get disabled(): boolean;
    set disabled(value: boolean);
    get vertical(): boolean;
    set vertical(value: boolean);
    get expanded(): boolean;
    set expanded(value: boolean);
    get ignoreUserExpansion(): boolean;
    set ignoreUserExpansion(value: boolean);
    setStepTabIndex(index: number): void;
    private _applyExpanded;
    private _applyVertical;
    focus(): void;
    private _applyAlternative;
    private _applySelected;
    private _applyIndex;
    private _applyEditable;
    private _applyCompleted;
    private _applyError;
    private _applyDisabled;
    private _getIconState;
    private _toggleIcon;
    private _toggleExpanded;
    private _onClickListener;
    private _onExpansionContentSlotChange;
    private _onExpansionContentFocusIn;
    private _onExpansionContentFocusOut;
}
